Replace the tags of a conversation
curl --request PUT \
--url https://app.flextell.ai/api/v1/conversations/{id}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"tags": [
123
]
}
'import requests
url = "https://app.flextell.ai/api/v1/conversations/{id}/tags"
payload = { "tags": [123] }
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({tags: [123]})
};
fetch('https://app.flextell.ai/api/v1/conversations/{id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/conversations/{id}/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'tags' => [
123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/conversations/{id}/tags"
payload := strings.NewReader("{\n \"tags\": [\n 123\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.flextell.ai/api/v1/conversations/{id}/tags")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tags\": [\n 123\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/conversations/{id}/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tags\": [\n 123\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": "<string>",
"data": {
"id": 123,
"record_state": {
"is_read_only": true,
"reason_code": "<string>"
},
"display_name": "<string>",
"address": "<string>",
"hidden_number": true,
"visitor_id": "<string>",
"source": "<string>",
"last_message_id": 123,
"last_message": "<string>",
"last_message_at": "2023-11-07T05:31:56Z",
"last_message_type": "<string>",
"last_message_media_type": "<string>",
"last_message_is_customer": true,
"last_message_is_deleted": true,
"last_customer_message": {
"id": 123,
"message": "<string>",
"message_type": "<string>",
"media_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"is_customer": true,
"is_deleted": true
},
"unread_count": "<string>",
"agent_disabled": true,
"agent_expires_at": "2023-11-07T05:31:56Z",
"agent_disabled_by_user_name": "<string>",
"is_archived": true,
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_user_name": "<string>",
"customer": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"avatar_url": "<string>",
"is_masked": "<string>",
"is_lead_stage": true,
"lead_id": 123,
"lead_stage": {
"id": 123,
"name": "<string>",
"next_stage_id": 123
},
"erased_at": "2023-11-07T05:31:56Z",
"open_tasks_count": 123,
"notes_count": 123
},
"channel": {
"id": 123,
"name": "<string>",
"type": "<string>",
"provider": "<string>",
"address": "<string>"
},
"lines": [
"<string>"
],
"tags": [
{
"id": 123,
"tenant_id": 123,
"name": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"blacklist": {
"id": 123,
"tenant_id": 123,
"reason": "<string>",
"reason_label": "Hız Limiti",
"note": "<string>",
"blocked_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"is_active": true,
"is_permanent": true,
"is_expired": true,
"remaining_time": "<string>",
"metadata": [
"<unknown>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"channel": {
"id": 123,
"name": "<string>",
"type": "whatsapp",
"address": "<string>"
},
"customer": {
"id": 123,
"record_state": {
"is_read_only": true,
"reason_code": "<string>"
},
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>",
"is_masked": true,
"is_lead_stage": true,
"lead_id": 123
}
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"success": true,
"error_code": "RESOURCE_NOT_FOUND",
"message": "<string>",
"errors": null,
"data": null
}{
"success": false,
"error_code": "CUSTOMER_ERASED",
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"success": false,
"error_code": "SETUP_REQUIRED",
"message": "Complete the required setup steps to continue.",
"data": {
"next_step": "clinic_info"
}
}Conversation
Replace the tags of a conversation
PUT
/
v1
/
conversations
/
{id}
/
tags
Replace the tags of a conversation
curl --request PUT \
--url https://app.flextell.ai/api/v1/conversations/{id}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"tags": [
123
]
}
'import requests
url = "https://app.flextell.ai/api/v1/conversations/{id}/tags"
payload = { "tags": [123] }
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({tags: [123]})
};
fetch('https://app.flextell.ai/api/v1/conversations/{id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/conversations/{id}/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'tags' => [
123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/conversations/{id}/tags"
payload := strings.NewReader("{\n \"tags\": [\n 123\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.flextell.ai/api/v1/conversations/{id}/tags")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tags\": [\n 123\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/conversations/{id}/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tags\": [\n 123\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": "<string>",
"data": {
"id": 123,
"record_state": {
"is_read_only": true,
"reason_code": "<string>"
},
"display_name": "<string>",
"address": "<string>",
"hidden_number": true,
"visitor_id": "<string>",
"source": "<string>",
"last_message_id": 123,
"last_message": "<string>",
"last_message_at": "2023-11-07T05:31:56Z",
"last_message_type": "<string>",
"last_message_media_type": "<string>",
"last_message_is_customer": true,
"last_message_is_deleted": true,
"last_customer_message": {
"id": 123,
"message": "<string>",
"message_type": "<string>",
"media_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"is_customer": true,
"is_deleted": true
},
"unread_count": "<string>",
"agent_disabled": true,
"agent_expires_at": "2023-11-07T05:31:56Z",
"agent_disabled_by_user_name": "<string>",
"is_archived": true,
"archived_at": "2023-11-07T05:31:56Z",
"archived_by_user_name": "<string>",
"customer": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"avatar_url": "<string>",
"is_masked": "<string>",
"is_lead_stage": true,
"lead_id": 123,
"lead_stage": {
"id": 123,
"name": "<string>",
"next_stage_id": 123
},
"erased_at": "2023-11-07T05:31:56Z",
"open_tasks_count": 123,
"notes_count": 123
},
"channel": {
"id": 123,
"name": "<string>",
"type": "<string>",
"provider": "<string>",
"address": "<string>"
},
"lines": [
"<string>"
],
"tags": [
{
"id": 123,
"tenant_id": 123,
"name": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"blacklist": {
"id": 123,
"tenant_id": 123,
"reason": "<string>",
"reason_label": "Hız Limiti",
"note": "<string>",
"blocked_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"is_active": true,
"is_permanent": true,
"is_expired": true,
"remaining_time": "<string>",
"metadata": [
"<unknown>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"channel": {
"id": 123,
"name": "<string>",
"type": "whatsapp",
"address": "<string>"
},
"customer": {
"id": 123,
"record_state": {
"is_read_only": true,
"reason_code": "<string>"
},
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>",
"is_masked": true,
"is_lead_stage": true,
"lead_id": 123
}
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"success": true,
"error_code": "RESOURCE_NOT_FOUND",
"message": "<string>",
"errors": null,
"data": null
}{
"success": false,
"error_code": "CUSTOMER_ERASED",
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"success": false,
"error_code": "SETUP_REQUIRED",
"message": "Complete the required setup steps to continue.",
"data": {
"next_step": "clinic_info"
}
}Yetkilendirmeler
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Başlıklar
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Yol Parametreleri
The conversation identifier
Gövde
application/json
Tag identifiers to attach to the conversation. The list replaces the current tags; send an empty array to clear them.
A tag ID.